package com.supervision.knowsub.service.impl;

import cn.hutool.core.lang.Assert;
import cn.hutool.core.util.ObjUtil;
import com.supervision.knowsub.model.SystemUser;
import com.supervision.knowsub.service.UserManageService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@RequiredArgsConstructor
public class UserManageServiceImpl implements UserManageService {

    private final SystemUserServiceImpl systemUserService;

    @Override
    public List<SystemUser> listUserByDeptId(String deptId,Integer status) {
        Assert.notEmpty(deptId,"部门id不能为空");
        return systemUserService.lambdaQuery().eq(SystemUser::getDeptId,deptId).
                eq(ObjUtil.isNull(status),SystemUser::getStatus,status).list();
    }

    @Override
    public Long countUserByDeptId(String deptId,Integer status) {
        Assert.notEmpty(deptId,"部门id不能为空");
        return systemUserService.lambdaQuery().eq(SystemUser::getDeptId,deptId)
                .eq(ObjUtil.isNull(status),SystemUser::getStatus,status).count();
    }
}
