package com.supervision.knowsub.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 知识报送记录表(只要知识被谁报送过,都在这张表记录)
 * @TableName ks_knowledge_submit_record
 */
@TableName(value ="ks_knowledge_submit_record")
@Data
public class KnowledgeSubmitRecord implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 知识ID
     */
    private String knowledgeId;

    /**
     * 本次报送的流程ID
     */
    private String flowId;

    /**
     * 本次报送人ID
     */
    private String submitUserId;

    /**
     * 本次报送人部门
     */
    private String submitDeptId;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人ID
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}